package com.willalp.yiqing.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.willalp.common.annotation.Excel;
import com.willalp.common.core.domain.BaseEntity;

/**
 * 疫情登记信息对象 hs_yiqing_register
 *
 * @author willalp
 * @date 2022-05-16
 */

@EqualsAndHashCode(callSuper = true)
@Data
@TableName("hs_yiqing_register")
public class HsYiqingRegister extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId
    private String id;

    /** 编号 */
    @Excel(name = "编号")
    @TableField(exist = false)
    private String userNo;

    /** 姓名 */
    @Excel(name = "姓名")
    @TableField(exist = false)
    private String userName;

    /** 证件号 */
    @Excel(name = "证件号")
    @TableField(exist = false)
    private String attestNo;

    /** 登记人ID */
    private String userDataId;

    /** 登记类型 */
    @Excel(name = "登记类型")
    private String registerType;

    /** 分类 */
    @Excel(name = "分类")
    private String sort;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 隔离地点 */
    @Excel(name = "隔离地点")
    private String isolatedPlace;

    /** 核酸结果 */
    @Excel(name = "核酸结果")
    private String rnaResult;

    /** 抗原结果 */
    @Excel(name = "抗原结果")
    private String antigenResult;

    /** 检测值 */
    @Excel(name = "检测值")
    private String estimatedValue;

    /** 登记说明 */
    @Excel(name = "登记说明")
    private String registerExplain;

    /** 姓名 */
    @Excel(name = "属地联系人")
    private String belongName;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String belongPhone;

    /** 派单时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "派单时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date sendOrdersEnd;

    /** 是否删除（0.未删除；1.已删除） */
    @TableLogic
    private Integer isDelete;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userDataId", getUserDataId())
            .append("registerType", getRegisterType())
            .append("sort", getSort())
            .append("status", getStatus())
            .append("isolatedPlace", getIsolatedPlace())
            .append("rnaResult", getRnaResult())
            .append("antigenResult", getAntigenResult())
            .append("estimatedValue", getEstimatedValue())
            .append("registerExplain", getRegisterExplain())
            .append("belongName", getBelongName())
            .append("belongPhone", getBelongPhone())
            .append("sendOrdersEnd", getSendOrdersEnd())
            .append("isDelete", getIsDelete())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
